void main()
{	vec2 scrnDims ; float scrnRatio ; vec3 colour ;
	float targRadii ; vec2 targPxl ; vec2 pxlPos ; vec2 pxlSqrd ; float pxlDist ;
	
	scrnDims	= textureSize( InputTexture, 0 ) ;
	scrnRatio	= scrnDims.x / scrnDims.y ;
	
	targRadii	= drawRadii / Zoom ;
	
	pxlPos		= TexCoord - drawPos ;
	pxlPos.x	*= scrnRatio ;
	pxlSqrd		= pxlPos * pxlPos ;
	pxlDist		= sqrt( pxlSqrd.x + pxlSqrd.y ) ;
	
	targPxl.x	= pxlPos.x / drawRadii * targRadii + targPos.x ;
	targPxl.y	= pxlPos.y / drawRadii * targRadii * scrnRatio + targPos.y ;
	
	if( pxlDist <= drawRadii )
	{	vec3 midColour ; vec3 edgeColour ;
	
		midColour	= texture( InputTexture, targPxl ).rgb ;
		edgeColour	= texture( InputTexture, TexCoord ).rgb ;
		
		colour = mix( edgeColour, mix( midColour, edgeColour, pow( pxlDist / drawRadii, edgeBlur ) * blurOn), fade ) ;
	}
	else colour = texture( InputTexture, TexCoord ).rgb ;
	
	FragColor = vec4( colour, 1.0 ) ;
}